library(stockassessment)

source("src/fixforecast.R")

load("run/model.RData")

FC<-list()

Ry<-2010:2019

set.seed(12345)

FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,1,1,1,1), rec.years=Ry,label="SQ all years", processNoiseF=FALSE, addTSB=TRUE)

 

set.seed(12345)

FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,1,NA,NA,NA), fval=c(NA,NA,0.000001,0.000001, 0.000001), rec.years=Ry, label="SQ then zero", processNoise=FALSE, addTSB=TRUE)

 

set.seed(12345)

FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,1,NA,NA,NA), fval=c(NA,NA,0.2,0.2, 0.2), rec.years=Ry, label="SQ then Fpa=Fmsy", processNoise=FALSE, addTSB=TRUE)

 

set.seed(12345)

FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,1,NA,NA,NA), fval=c(NA,NA, 0.29,0.29, 0.29), rec.years=Ry, label="SQ then Flim", processNoise=FALSE, addTSB=TRUE)

 

set.seed(12345)

FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,1,NA,NA,NA), fval=c(NA,NA,0.34,0.34, 0.34), rec.years=Ry, label="SQ then F=0.34", processNoise=FALSE, addTSB=TRUE)

 

 

save(FC, file="run/forecast.RData")

